Part Cone/cs: Difference between revisions

From FreeCAD Documentation
No edit summary
(Updating to match new version of source page)
 
(16 intermediate revisions by 2 users not shown)
Line 1: Line 1:
<languages/>
{{GuiCommand/cs|Name=Part Cone|Name/cs=Díl Kužel|MenuLocation=Díl -> Kužel||Workbenches=[[Part_Module/cs|Díl]], Kompletace|SeeAlso=[[Part_CreatePrimitives/cs|Díl Vytváření zákl.geom.tvarů]]}}

{{Docnav
|[[Part_Sphere|Sphere]]
|[[Part_Torus|Torus]]
|[[Part_Workbench|Part]]
|IconL=Part_Sphere.svg
|IconR=Part_Torus.svg
|IconC=Workbench_Part.svg
}}

<div class="mw-translate-fuzzy">
{{GuiCommand/cs|Name=Part Cone|Name/cs=Díl Kužel|MenuLocation=Díl -> Kužel||Workbenches=[[Part_Workbench/cs|Díl]], Kompletace|SeeAlso=[[Part_CreatePrimitives/cs|Díl Vytváření zákl.geom.tvarů]]}}
</div>

== Description ==


<div class="mw-translate-fuzzy">
== Popis ==
== Popis ==
Parametricky zkrácený díl Kužel je dostupný v pracovní ploše Díl z nástrojového pruhu Díl, Menu Díl (submenu zákl.geom.tvary) a dialogové okno Vytváření zákl.geom.tvarů.
Parametricky zkrácený díl Kužel je dostupný v pracovní ploše Díl z nástrojového pruhu Díl, Menu Díl (submenu zákl.geom.tvary) a dialogové okno Vytváření zákl.geom.tvarů.
</div>


The default Part Cone is truncated. It can be turned into a full, untruncated, cone by changing its {{PropertyData|Radius1}} or {{PropertyData|Radius2}} property to zero. It can be turned into a segment of a cone by changing its {{PropertyData|Angle}} property.

[[Image:Part_Cone_Example.png|400px]]

== Usage ==

<div class="mw-translate-fuzzy">
== Použití ==
== Použití ==
V pracovní ploše Díl klikněte na ikonu kuželu [[Image:Part Cone.png|32px]].
V pracovní ploše Díl klikněte na ikonu kuželu [[Image:Part Cone.png|32px]].
</div>


== Example ==
Defaultní hodnoty vytvoří komolý parametrický kužel definovaný poloměrem 1, poloměrem 2, výškou a úhlem. Defaultní kužel bude při vytvoření pozicován na počáteční bod (bod 0,0,0). Parametr úhel umožňuje vytváření částečného kuželu (defaultně je nastavený na 360°) a poloměry 1 a 2 korespondují se základnou a vrchní plochou komolého kuželu.


[[Image:Part_Cone_Scripting_Example.png|thumb|Part Cone from the scripting example]]
== Options ==

A Part Cone object created with the [[#Scripting|scripting example]] below is shown here.

== Notes ==

* A Part Cone can also be created with the [[Image:Part_Primitives.svg|16px]] [[Part_Primitives|Part Primitives]] command. With that command you can specify the dimensions and placement at creation time.

<div class="mw-translate-fuzzy">
== Volby ==
{|
{|
| [[File:PartConeProperty_en.png]]
| [[File:PartConeProperty_en.png]]
|
|
{{KEY|Cone}}
{{KEY|Kužel}}
*Radius 1 - radius of the arc or circle defining the lower face
*Radius 1 - poloměr oblouku nebo kružnice definující spodní plochu
*Radius 2 - radius of the arc or circle defining the upper face
*Radius 2 - poloměr oblouku nebo kružnice definující vrchní plochu
*Výška - výška kuželu
*Height - the height of the Part Cone
*Úhel - počet stupňů oblouku nebo kružnice definující horní a dolní plochu komolého kuželu. Defaultních 360 stupňů vytváří kruhovou plochu, menší hodnota vytvoří část kuželu definovoanou horní a dolní plochou s okraji definovanými obloukem o velikosti dané úhlem a oběma poloměry.
*Angle - the number of degrees of the arc or circles defining the upper and lower faces of the truncated cone. The default 360 creates circular faces, a lower value will create a portion of a cone as defined by upper and lower faces each with edges defined by an arc of the number of degrees and two radii.
</div>


See also: [[Property_editor|Property editor]].
|}


A Part Cone object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:


=== Data ===
Na obrázku níže je zobrazen díl Kužel s parametrem "úhel" nastaveným na 270 stupňů a ostatní parametry zůstávají nastaveny defaultně.


{{TitleProperty|Attachment}}
[[File:Otherwisedefault270degree_Part_Cone.png]]


The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].


{{TitleProperty|Cone}}
{{clear}}

<languages/>
* {{PropertyData|Radius1|Length}}: The radius of the bottom face of the cone. Can be {{Value|0mm}} if {{PropertyData|Radius2}} is larger than {{Value|0mm}}. The default is {{Value|2mm}}.
* {{PropertyData|Radius2|Length}}: The radius of the top face of the cone. Can be {{Value|0mm}} if {{PropertyData|Radius1}} is larger than {{Value|0mm}}. The default is {{Value|4mm}}.
* {{PropertyData|Height|Length}}: The height of the cone. The default is {{Value|10mm}}.
* {{PropertyData|Angle|Angle}}: The angle of the circular arc that defines the top and bottom face of the cone. Valid range: {{Value|0° &lt; value &lt;&#61; 360°}}. The default is {{Value|360°}}. If it is smaller than {{Value|360°}} the resulting solid will be a segment of a cone.

== Scripting ==

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

A Part Cone can be created with the {{Incode|addObject()}} method of the document:

{{Code|code=
cone = FreeCAD.ActiveDocument.addObject("Part::Cone", "myCone")
}}

* Where {{Incode|"myCone"}} is the name for the object.
* The function returns the newly created object.

Example:

{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

cone = doc.addObject("Part::Cone", "myCone")
cone.Radius1 = 5
cone.Radius2 = 10
cone.Height = 50
cone.Angle = 270
cone.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 60, 15))

doc.recompute()
}}


{{Docnav
|[[Part_Sphere|Sphere]]
|[[Part_Torus|Torus]]
|[[Part_Workbench|Part]]
|IconL=Part_Sphere.svg
|IconR=Part_Torus.svg
|IconC=Workbench_Part.svg
}}

{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 08:56, 4 March 2022

Díl Kužel

Umístění Menu
Díl -> Kužel
Pracovní stoly
Díl, Kompletace
Výchozí zástupce
Nikdo
Představen ve verzi
-
Viz také
Díl Vytváření zákl.geom.tvarů

Description

Popis

Parametricky zkrácený díl Kužel je dostupný v pracovní ploše Díl z nástrojového pruhu Díl, Menu Díl (submenu zákl.geom.tvary) a dialogové okno Vytváření zákl.geom.tvarů.

The default Part Cone is truncated. It can be turned into a full, untruncated, cone by changing its ÚdajeRadius1 or ÚdajeRadius2 property to zero. It can be turned into a segment of a cone by changing its ÚdajeAngle property.

Usage

Použití

V pracovní ploše Díl klikněte na ikonu kuželu .

Example

Part Cone from the scripting example

A Part Cone object created with the scripting example below is shown here.

Notes

  • A Part Cone can also be created with the Part Primitives command. With that command you can specify the dimensions and placement at creation time.

Volby

Kužel

  • Radius 1 - poloměr oblouku nebo kružnice definující spodní plochu
  • Radius 2 - poloměr oblouku nebo kružnice definující vrchní plochu
  • Výška - výška kuželu
  • Úhel - počet stupňů oblouku nebo kružnice definující horní a dolní plochu komolého kuželu. Defaultních 360 stupňů vytváří kruhovou plochu, menší hodnota vytvoří část kuželu definovoanou horní a dolní plochou s okraji definovanými obloukem o velikosti dané úhlem a oběma poloměry.

See also: Property editor.

A Part Cone object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Cone

  • ÚdajeRadius1 (Length): The radius of the bottom face of the cone. Can be 0mm if ÚdajeRadius2 is larger than 0mm. The default is 2mm.
  • ÚdajeRadius2 (Length): The radius of the top face of the cone. Can be 0mm if ÚdajeRadius1 is larger than 0mm. The default is 4mm.
  • ÚdajeHeight (Length): The height of the cone. The default is 10mm.
  • ÚdajeAngle (Angle): The angle of the circular arc that defines the top and bottom face of the cone. Valid range: 0° < value <= 360°. The default is 360°. If it is smaller than 360° the resulting solid will be a segment of a cone.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Cone can be created with the addObject() method of the document:

cone = FreeCAD.ActiveDocument.addObject("Part::Cone", "myCone")
  • Where "myCone" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

cone = doc.addObject("Part::Cone", "myCone")
cone.Radius1 = 5
cone.Radius2 = 10
cone.Height = 50
cone.Angle = 270
cone.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 60, 15))

doc.recompute()